<?php

namespace Teknisa\GQL\Modules\Atendimento\Services;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class Gql01500ApuracaoQualificacaoFornecedoresService
{
    protected $connection;
    
    public function __construct($entityManager, $environment)
    {
        $this->connection = $entityManager->getConnection();
        $this->environment = $environment;
    }
    
    public function apurarProcedure($row)
    {
        $connection = $this->connection;
        $procedure = new StoredProcedure($connection, 'APURA_QUALIF_FORN');
        $procedure->addParam(new Param('P_CDFILIPROC',  Param::PARAM_INPUT, $row['CDFILIPROC'],     Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_CDOPERADOR',  Param::PARAM_INPUT, $row['CDOPERADOR'],     Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_DTINIOCOR',   Param::PARAM_INPUT, $row['DTINIOCOR'],      Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_DTFINOCOR',   Param::PARAM_INPUT, $row['DTFINOCOR'],      Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_CDFILIAL',    Param::PARAM_INPUT, $row['CDFILIAL'],       Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_CDFORNECED',  Param::PARAM_INPUT, $row['CDFORNECED'],     Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_TODAS',       Param::PARAM_INPUT, $row['TODAS'],          Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_TODOS',       Param::PARAM_INPUT, $row['TODOS'],          Param::PARAM_TYPE_STR));
        $rowsaffect = $procedure->execute();
    }
   
}